package com.example.cuida.data.model;

import com.google.firebase.firestore.PropertyName;

public class Medication {
    private String id;

    @PropertyName("nome")
    public String name;
    
    @PropertyName("hora")
    public String time;
    
    @PropertyName("dosagem")
    public String dosage;
    
    @PropertyName("notas")
    public String notes;

    public boolean isTaken;
    public long lastTakenTimestamp; // Momento exato em milissegundos
    public String userId;

    public Medication() {
        // Obrigatório para o Firestore
    }

    public Medication(String name, String time, String dosage, String notes, String userId) {
        this.name = name;
        this.time = time;
        this.dosage = dosage;
        this.notes = notes;
        this.isTaken = false;
        this.userId = userId;
    }

    // --- Getters e Setters ---
    @PropertyName("nome")
    public String getName() { return name; }
    @PropertyName("nome")
    public void setName(String name) { this.name = name; }

    @PropertyName("hora")
    public String getTime() { return time; }
    @PropertyName("hora")
    public void setTime(String time) { this.time = time; }

    @PropertyName("dosagem")
    public String getDosage() { return dosage; }
    @PropertyName("dosagem")
    public void setDosage(String dosage) { this.dosage = dosage; }

    @PropertyName("notas")
    public String getNotes() { return notes; }
    @PropertyName("notas")
    public void setNotes(String notes) { this.notes = notes; }

    public String getId() { return id; }
    public void setId(String id) { this.id = id; }
}
